# Class ColumnNodeBuilder

java.lang.Object
org.apache.cayenne.access.sqlbuilder.ColumnNodeBuilder

All Implemented Interfaces:
  `NodeBuilder`

public class ColumnNodeBuilder extends Object

Since:
  4.2

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ColumnNodeBuilder`
  `as(String alias)`
  `OrderingNodeBuilder`
  `asc()`
  `ColumnNodeBuilder`
  `attribute(DbAttribute attribute)`
  `Node`
  `build()`
  `OrderingNodeBuilder`
  `desc()`
  `default ExpressionNodeBuilder`
  `div(NodeBuilder nodeBuilder)`
  `default ExpressionNodeBuilder`
  `eq(NodeBuilder nodeBuilder)`
  `default ExpressionNodeBuilder`
  `gt(NodeBuilder operand)`
  `default ExpressionNodeBuilder`
  `gte(NodeBuilder operand)`
  `default ExpressionNodeBuilder`
  `lt(NodeBuilder operand)`
  `default ExpressionNodeBuilder`
  `lte(NodeBuilder operand)`
  `default ExpressionNodeBuilder`
  `minus(NodeBuilder nodeBuilder)`
  `default ExpressionNodeBuilder`
  `mul(NodeBuilder nodeBuilder)`
  `default ExpressionNodeBuilder`
  `plus(NodeBuilder nodeBuilder)`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### as

    public ColumnNodeBuilder as(String alias)

  - ### attribute

    public ColumnNodeBuilder attribute(DbAttribute attribute)

  - ### desc

    public OrderingNodeBuilder desc()

  - ### asc

    public OrderingNodeBuilder asc()

  - ### build

    public Node build()
    Specified by:
      `build` in interface `NodeBuilder`

  - ### lt

    default ExpressionNodeBuilder lt(NodeBuilder operand)

  - ### gt

    default ExpressionNodeBuilder gt(NodeBuilder operand)

  - ### lte

    default ExpressionNodeBuilder lte(NodeBuilder operand)

  - ### gte

    default ExpressionNodeBuilder gte(NodeBuilder operand)

  - ### eq

    default ExpressionNodeBuilder eq(NodeBuilder nodeBuilder)

  - ### plus

    default ExpressionNodeBuilder plus(NodeBuilder nodeBuilder)

  - ### minus

    default ExpressionNodeBuilder minus(NodeBuilder nodeBuilder)

  - ### mul

    default ExpressionNodeBuilder mul(NodeBuilder nodeBuilder)

  - ### div

    default ExpressionNodeBuilder div(NodeBuilder nodeBuilder)